## libxen-api-client-ocaml 0.9.7

=== Makefile ===
.PHONY: all clean install build
all: build test doc

NAME=xen-api-client

LWT ?= $(shell if ocamlfind query lwt.ssl >/dev/null 2>&1; then echo --enable-lwt; fi)
ASYNC ?= $(shell if ocamlfind query async >/dev/null 2>&1; then echo --enable-async; fi)
MIRAGE ?= $(shell if ocamlfind query mirage-net >/dev/null 2>&1; then echo --enable-mirage; fi)
ifneq ($(MIRAGE_OS),xen)
TESTS ?= --enable-tests
endif
# disabled by default as they hang at the moment for Async
# NETTESTS ?= --enable-nettests

setup.bin: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure $(LWT) $(TESTS) $(ASYNC) #$(MIRAGE) $(NETTESTS)

build: setup.data setup.bin
	./setup.bin -build

doc: setup.data setup.bin
	./setup.bin -doc

install: setup.bin
	./setup.bin -install

test: setup.bin build
	./setup.bin -test

fulltest: setup.bin build
	./setup.bin -test

reinstall: setup.bin
	ocamlfind remove $(NAME) || true
	./setup.bin -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log setup.bin

## libxen-api-client-ocaml 0.9.6

=== debian/changelog ===
libxen-api-client-ocaml (0.9.6-1) UNRELEASED; urgency=low

  * Update to 0.9.6

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 04 Jun 2014 12:00:00 +0000

libxen-api-client-ocaml (0.9.4-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

libxen-api-client-ocaml (0.9.4-1) UNRELEASED; urgency=low

  * Update to 0.9.3

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 05 Jun 2013 12:00:00 +0000

=== debian/control ===
Source: libxen-api-client-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcohttp-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libxmlm-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 librpc-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev,
 liburi-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: libxen-api-client-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XenServer XenAPI Client Library for OCaml
 XenAPI Client is an OCaml library implementing XenServer's XenAPI. It
 is used for programmatically controlling a pool of XenServer
 virtualization hosts.

Package: libxen-api-client-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxen-api-client-ocaml (>= 0.9.6-1),
 libxmlm-ocaml-dev,
 libcohttp-ocaml-dev,
 librpc-ocaml-dev,
 liblwt-ocaml-dev,
 liburi-ocaml-dev,
 libcstruct-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xen-api-client
 XenAPI Client is an OCaml library implementing XenServer's XenAPI. It
 is used for programmatically controlling a pool of XenServer
 virtualization hosts.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libxen-api-client-ocaml/usr/lib/ocaml/xen-api-client/*.a
	rm -f debian/libxen-api-client-ocaml/usr/lib/ocaml/xen-api-client/*.cmxa
	rm -f debian/libxen-api-client-ocaml/usr/lib/ocaml/xen-api-client/*.cmx
	rm -f debian/libxen-api-client-ocaml/usr/lib/ocaml/xen-api-client/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## libxen-api-client-ocaml 0.9.7

=== debian/changelog ===
libxen-api-client-ocaml (0.9.7-1) UNRELEASED; urgency=low

  * Update to 0.9.7

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libxen-api-client-ocaml (>= 0.9.6-1),
+ libxen-api-client-ocaml (>= 0.9.7-1),
  libxmlm-ocaml-dev,
  libcohttp-ocaml-dev,
  librpc-ocaml-dev,
